#
#
# qmake configuration for win32-borland
#
# Written for Borland C++.
#

MAKEFILE_GENERATOR	= BMAKE
TEMPLATE		= app
CONFIG			+= qt warn_on release link_prl
DEFINES			+= UNICODE
TQMAKE_NOFORCE		= 1

exists( $(TQTDIR)\.qtwinconfig ) {
	include( $(TQTDIR)\.qtwinconfig )
}

TQMAKE_CC		= bcc32
TQMAKE_LEX		= flex
TQMAKE_LEXFLAGS		= 
TQMAKE_YACC		= byacc
TQMAKE_YACCFLAGS		= -d
TQMAKE_CFLAGS		= -tWR
TQMAKE_CFLAGS_WARN_ON	= -w -w-hid
TQMAKE_CFLAGS_WARN_OFF	= -w-
TQMAKE_CFLAGS_RELEASE	= -O2
TQMAKE_CFLAGS_DEBUG	= -v
TQMAKE_CFLAGS_MT		= -tWM
TQMAKE_CFLAGS_MT_DBG	= -tWM
TQMAKE_CFLAGS_MT_DLL	= -tWM
TQMAKE_CFLAGS_MT_DLLDBG	= -tWM
TQMAKE_CFLAGS_YACC	=
TQMAKE_CFLAGS_CONSOLE	= -tWC
TQMAKE_CFLAGS_STL_ON	=
TQMAKE_CFLAGS_STL_OFF	=
TQMAKE_CFLAGS_RTTI_ON	=
TQMAKE_CFLAGS_RTTI_OFF	= -RT-
TQMAKE_CFLAGS_EXCEPTIONS_ON =
TQMAKE_CFLAGS_EXCEPTIONS_OFF = -x-

TQMAKE_CXX		= $$TQMAKE_CC
TQMAKE_CXXFLAGS		= $$TQMAKE_CFLAGS
TQMAKE_CXXFLAGS_WARN_ON	= $$TQMAKE_CFLAGS_WARN_ON
TQMAKE_CXXFLAGS_WARN_OFF	= $$TQMAKE_CFLAGS_WARN_OFF
TQMAKE_CXXFLAGS_RELEASE	= $$TQMAKE_CFLAGS_RELEASE
TQMAKE_CXXFLAGS_DEBUG	= $$TQMAKE_CFLAGS_DEBUG
TQMAKE_CXXFLAGS_MT	= $$TQMAKE_CFLAGS_MT
TQMAKE_CXXFLAGS_MT_DBG	= $$TQMAKE_CFLAGS_MT_DBG
TQMAKE_CXXFLAGS_MT_DLL	= $$TQMAKE_CFLAGS_MT_DLL
TQMAKE_CXXFLAGS_MT_DLLDBG= $$TQMAKE_CFLAGS_MT_DLLDBG
TQMAKE_CXXFLAGS_YACC	= $$TQMAKE_CFLAGS_YACC
TQMAKE_CXXFLAGS_CONSOLE	= $$TQMAKE_CFLAGS_CONSOLE
TQMAKE_CXXFLAGS_STL_ON	= $$TQMAKE_CFLAGS_STL_ON
TQMAKE_CXXFLAGS_STL_OFF	= $$TQMAKE_CFLAGS_STL_OFF
TQMAKE_CXXFLAGS_RTTI_ON	= $$TQMAKE_CFLAGS_RTTI_ON
TQMAKE_CXXFLAGS_RTTI_OFF	= $$TQMAKE_CFLAGS_RTTI_OFF
TQMAKE_CXXFLAGS_EXCEPTIONS_ON = $$TQMAKE_CFLAGS_EXCEPTIONS_ON
TQMAKE_CXXFLAGS_EXCEPTIONS_OFF = $$TQMAKE_CFLAGS_EXCEPTIONS_OFF

TQMAKE_INCDIR		=
TQMAKE_INCDIR_QT		= $(TQTDIR)\include
TQMAKE_LIBDIR		= $(BCB)\lib
TQMAKE_LIBDIR_QT		= $(TQTDIR)\lib

TQMAKE_RUN_CC		= $(CC) -c $(CFLAGS) $(INCPATH) -o$obj $src
TQMAKE_RUN_CC_IMP	= $(CC) -c $(CFLAGS) $(INCPATH) -o$@ $<
TQMAKE_RUN_CXX		= $(CXX) -c $(CXXFLAGS) $(INCPATH) -o$obj $src
TQMAKE_RUN_CXX_IMP	= $(CXX) -c $(CXXFLAGS) $(INCPATH) -o$@ $<

TQMAKE_LINK		= ilink32
TQMAKE_LFLAGS		= -c -x -Gn
TQMAKE_LFLAGS_RELEASE	=
TQMAKE_LFLAGS_DEBUG	= -v
TQMAKE_LFLAGS_CONSOLE	= -ap -Tpe c0x32.obj
TQMAKE_LFLAGS_WINDOWS	= -aa -Tpe c0w32.obj
TQMAKE_LFLAGS_CONSOLE_DLL= -Gi -ap -Tpd c0d32.obj
TQMAKE_LFLAGS_WINDOWS_DLL= -Gi -aa -Tpd c0d32.obj

TQMAKE_LIBS		= import32.lib
TQMAKE_LIBS_RT		= cw32i.lib
TQMAKE_LIBS_RTMT		= cw32mti.lib
TQMAKE_LIBS_CONSOLE	=
TQMAKE_LIBS_WINDOWS	=
TQMAKE_LIBS_QT		= qt.lib
TQMAKE_LIBS_TQT_THREAD	= qtmt.lib
TQMAKE_LIBS_TQT_ENTRY	= qtmain.lib

TQMAKE_LIBS_OPENGL	=
TQMAKE_LFLAGS_OPENGL	= /dopengl32.dll

TQMAKE_TQMOC		= $(TQTDIR)\bin\tqmoc.exe
TQMAKE_UIC		= $(TQTDIR)\bin\uic.exe
TQMAKE_IDC		= $(TQTDIR)\bin\idc.exe

TQMAKE_IDL		= midl
TQMAKE_LIB		= tlib /C /P256
TQMAKE_RC		= brcc32 -dTQ_CC_BOR

TQMAKE_ZIP		= zip -r -9

TQMAKE_COPY		= copy
TQMAKE_MOVE		= move
TQMAKE_DEL_FILE		= del
TQMAKE_DEL_DIR		= rmdir
TQMAKE_CHK_DIR_EXISTS	= if not exist
TQMAKE_MKDIR		= mkdir
